## python-xarray 0.16.0

=== debian/changelog ===
python-xarray (0.16.0-1) unstable; urgency=medium

  * New upstream release

 -- Alastair McKinstry <mckinstry@debian.org>  Thu, 16 Jul 2020 11:17:10 +0100

python-xarray (0.15.1-4) unstable; urgency=medium

  * silence-warnings.patch: Don't fail tests on warnings, only errors.
    Closes: #963820  
  * Drop merged/obsolete patches:
    - 3430.diff
    - 3431.diff
    - NaT.patch
    - xfail-rasterio.patch

 -- Alastair McKinstry <mckinstry@debian.org>  Sat, 04 Jul 2020 13:43:18 +0100

python-xarray (0.15.1-3) unstable; urgency=medium

  * patch: Use sparse.COO or scipy.sparse.coo_matrix for sparse
    matrices, not sparse.SparseArray, which doesn't exist.
    Closes: #960380.

 -- Alastair McKinstry <mckinstry@debian.org>  Tue, 12 May 2020 17:04:22 +0100

python-xarray (0.15.1-2) unstable; urgency=medium

  * Drop obsolete sphinx3-build hack which breaks on sphinx 2.4 ;
    Closes: #959595

 -- Alastair McKinstry <mckinstry@debian.org>  Mon, 04 May 2020 12:05:55 +0100

python-xarray (0.15.1-1) unstable; urgency=medium

  * New upstream release 
  * Use dh-sequence-* rather than --with *

 -- Alastair McKinstry <mckinstry@debian.org>  Fri, 27 Mar 2020 10:56:52 +0000

=== debian/control ===
Source: python-xarray
Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Ghislain Antony Vaillant <ghisvail@gmail.com>,
 Alastair McKinstry <mckinstry@debian.org>
Section: python
Priority: optional
Build-Depends: debhelper-compat (= 12),
               dh-sequence-python3,
	       dh-sequence-sphinxdoc,
               dpkg-dev (>= 1.17.14),
               python3-pip,
               python-numpy-doc <!nodoc>,
               python-pandas-doc <!nodoc>,
               python3-all,
	       python3-cfgrib,
	       python3-h5netcdf <!nocheck>,
	       python3-zarr <!nocheck>,
	       python3-toolz,
	       python3-cloudpickle,
	       python3-flake8,
               python3-doc <!nodoc>,
               python3-bottleneck <!nocheck>,
               python3-cartopy <!nodoc>,
               python3-dask (>= 0.17.3) <!nocheck> <!nodoc>,
               python3-ipython <!nodoc>,
               python3-matplotlib <!nocheck> <!nodoc>,
               python3-netcdf4 <!nocheck> <!nodoc>,
               python3-numpy <!nocheck> <!nodoc>,
               python3-numpydoc <!nocheck> <!nodoc>,
               python3-pandas (>= 0.15.0) <!nocheck> <!nodoc>,
               python3-pytest (>= 2.7.1) <!nocheck>,
               python3-rasterio <!nocheck> <!nodoc>,
               python3-setuptools,
               python3-scipy <!nocheck> <!nodoc>,
               python3-seaborn <!nocheck> <!nodoc>,
               python3-sphinx <!nodoc>,
	       python3-nbsphinx <!nodoc>,
               python3-sphinx-gallery <!nodoc>,
               python3-sphinx-rtd-theme <!nodoc>,
               sphinx-common,
	       pandoc,
	       ipython3,
		python3-jupyter-console, 
		python3-jupyter-core, 
		python3-jupyter-client
Standards-Version: 4.5.0
Vcs-Browser: https://salsa.debian.org/science-team/python-xarray
Vcs-Git: https://salsa.debian.org/science-team/python-xarray.git
Homepage: http://xarray.pydata.org/

Package: python3-xarray
Architecture: all
Depends: ${misc:Depends},
         ${python3:Depends},
         python3-numpy,
         python3-pandas
Recommends: python3-bottleneck,
            python3-dask,
            python3-netcdf4,
	    python3-h5netcdf,
	    python3-zarr
Suggests: python-xarray-doc <!nodoc>,
          python3-cartopy,
          python3-matplotlib,
          python3-pydap,
          python3-rasterio,
          python3-scipy,
          python3-seaborn,
          python3-toolz
Description: N-D labeled arrays and datasets in Python 3
 xarray (formerly xray) is an open source project and Python package that aims
 to bring the labeled data power of pandas to the physical sciences, by
 providing N-dimensional variants of the core pandas data structures.
 .
 It provides a pandas-like and pandas-compatible toolkit for analytics on
 multi-dimensional arrays, rather than the tabular data for which pandas
 excels.
 .
 This package provides the Python 3 library

Package: python-xarray-doc
Architecture: all
Section: doc
Depends: ${misc:Depends},
         ${sphinxdoc:Depends},
         libjs-mathjax,
         libjs-requirejs
Built-Using: ${sphinxdoc:Built-Using}
Description: documentation for xarray
 xarray (formerly xray) is an open source project and Python package that aims
 to bring the labeled data power of pandas to the physical sciences, by
 providing N-dimensional variants of the core pandas data structures.
 .
 It provides a pandas-like and pandas-compatible toolkit for analytics on
 multi-dimensional arrays, rather than the tabular data for which pandas
 excels.
 .
 This package provides the documentation.
Build-Profiles: <!nodoc>

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1

export PYBUILD_NAME=xarray
PY3VERS:= $(shell py3versions -s)

# Disable checking for this release:
DEB_BUILD_OPTIONS += nocheck

%:
	dh $@  --buildsystem=pybuild

override_dh_auto_clean:
	dh_auto_clean
ifeq (,$(findstring nodoc,$(DEB_BUILD_PROFILES)))
	$(MAKE) -C doc clean
endif

override_dh_auto_install: $(PYTHON3:%=install-python%)
	dh_auto_install
	find debian/python3-xarray -name '*.idx' -exec chmod -x {} \;

override_dh_auto_build:
	http_proxy=127.0.0.1:9 https_proxy=127.0.0.1:9 dh_auto_build
ifeq (,$(findstring nodoc,$(DEB_BUILD_PROFILES)))
	PYTHONPATH=$(CURDIR) $(MAKE) -C doc html
endif

override_dh_auto_test:
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
	for p in $(PY3VERS); do \
		PY3VERNUM=`echo $$p | sed -e 's/python//' `; \
		pybuild --test --test-pytest -i $$p -p $$PY3VERNUM  ;  \
		done
endif

override_dh_sphinxdoc:
	dh_sphinxdoc --exclude=MathJax.js

## python-xarray 0.16.2

=== requirements.txt ===
# This file is redundant with setup.cfg;
# it exists to let GitHub build the repository dependency graph
# https://help.github.com/en/github/visualizing-repository-data-with-graphs/listing-the-packages-that-a-repository-depends-on

numpy >= 1.15
pandas >= 0.25
setuptools >= 38.4

=== doc/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS      =
SPHINXBUILD     = sphinx-build
SPHINXATUOBUILD = sphinx-autobuild
PAPER           =
BUILDDIR        = _build

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .
# the i18n builder cannot share the environment and doctrees with the others
I18NSPHINXOPTS  = $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .

.PHONY: help
help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html       to make standalone HTML files"
	@echo "  livehtml   Make standalone HTML files and rebuild the documentation when a change is detected. Also includes a livereload enabled web server"
	@echo "  dirhtml    to make HTML files named index.html in directories"
	@echo "  singlehtml to make a single large HTML file"
	@echo "  pickle     to make pickle files"
	@echo "  json       to make JSON files"
	@echo "  htmlhelp   to make HTML files and a HTML help project"
	@echo "  qthelp     to make HTML files and a qthelp project"
	@echo "  applehelp  to make an Apple Help Book"
	@echo "  devhelp    to make HTML files and a Devhelp project"
	@echo "  epub       to make an epub"
	@echo "  epub3      to make an epub3"
	@echo "  latex      to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  latexpdf   to make LaTeX files and run them through pdflatex"
	@echo "  latexpdfja to make LaTeX files and run them through platex/dvipdfmx"
	@echo "  text       to make text files"
	@echo "  man        to make manual pages"
	@echo "  texinfo    to make Texinfo files"
	@echo "  info       to make Texinfo files and run them through makeinfo"
	@echo "  gettext    to make PO message catalogs"
	@echo "  changes    to make an overview of all changed/added/deprecated items"
	@echo "  xml        to make Docutils-native XML files"
	@echo "  pseudoxml  to make pseudoxml-XML files for display purposes"
	@echo "  linkcheck  to check all external links for integrity"
	@echo "  doctest    to run all doctests embedded in the documentation (if enabled)"
	@echo "  coverage   to run coverage check of the documentation (if enabled)"
	@echo "  dummy      to check syntax errors of document sources"

.PHONY: clean
clean:
	rm -rf $(BUILDDIR)/*
	rm -rf generated/*
	rm -rf auto_gallery/

.PHONY: html
html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

.PHONY: livehtml
livehtml:
	# @echo "$(SPHINXATUOBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html"
	$(SPHINXATUOBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html

.PHONY: dirhtml
dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

.PHONY: singlehtml
singlehtml:
	$(SPHINXBUILD) -b singlehtml $(ALLSPHINXOPTS) $(BUILDDIR)/singlehtml
	@echo
	@echo "Build finished. The HTML page is in $(BUILDDIR)/singlehtml."

.PHONY: html-noplot
html-noplot:
	$(SPHINXBUILD) -D plot_gallery=0 -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

.PHONY: pickle
pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

.PHONY: json
json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

.PHONY: htmlhelp
htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

.PHONY: qthelp
qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/xarray.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/xarray.qhc"

.PHONY: applehelp
applehelp:
	$(SPHINXBUILD) -b applehelp $(ALLSPHINXOPTS) $(BUILDDIR)/applehelp
	@echo
	@echo "Build finished. The help book is in $(BUILDDIR)/applehelp."
	@echo "N.B. You won't be able to view it unless you put it in" \
	      "~/Library/Documentation/Help or install it in your application" \
	      "bundle."

.PHONY: devhelp
devhelp:
	$(SPHINXBUILD) -b devhelp $(ALLSPHINXOPTS) $(BUILDDIR)/devhelp
	@echo
	@echo "Build finished."
	@echo "To view the help file:"
	@echo "# mkdir -p $$HOME/.local/share/devhelp/xarray"
	@echo "# ln -s $(BUILDDIR)/devhelp $$HOME/.local/share/devhelp/xarray"
	@echo "# devhelp"

.PHONY: epub
epub:
	$(SPHINXBUILD) -b epub $(ALLSPHINXOPTS) $(BUILDDIR)/epub
	@echo
	@echo "Build finished. The epub file is in $(BUILDDIR)/epub."

.PHONY: epub3
epub3:
	$(SPHINXBUILD) -b epub3 $(ALLSPHINXOPTS) $(BUILDDIR)/epub3
	@echo
	@echo "Build finished. The epub3 file is in $(BUILDDIR)/epub3."

.PHONY: latex
latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make' in that directory to run these through (pdf)latex" \
	      "(use \`make latexpdf' here to do that automatically)."

.PHONY: latexpdf
latexpdf:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through pdflatex..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

.PHONY: latexpdfja
latexpdfja:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through platex and dvipdfmx..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf-ja
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

.PHONY: text
text:
	$(SPHINXBUILD) -b text $(ALLSPHINXOPTS) $(BUILDDIR)/text
	@echo
	@echo "Build finished. The text files are in $(BUILDDIR)/text."

.PHONY: man
man:
	$(SPHINXBUILD) -b man $(ALLSPHINXOPTS) $(BUILDDIR)/man
	@echo
	@echo "Build finished. The manual pages are in $(BUILDDIR)/man."

.PHONY: texinfo
texinfo:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo
	@echo "Build finished. The Texinfo files are in $(BUILDDIR)/texinfo."
	@echo "Run \`make' in that directory to run these through makeinfo" \
	      "(use \`make info' here to do that automatically)."

.PHONY: info
info:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo "Running Texinfo files through makeinfo..."
	make -C $(BUILDDIR)/texinfo info
	@echo "makeinfo finished; the Info files are in $(BUILDDIR)/texinfo."

.PHONY: gettext
gettext:
	$(SPHINXBUILD) -b gettext $(I18NSPHINXOPTS) $(BUILDDIR)/locale
	@echo
	@echo "Build finished. The message catalogs are in $(BUILDDIR)/locale."

.PHONY: changes
changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

.PHONY: linkcheck
linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

.PHONY: doctest
doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

.PHONY: coverage
coverage:
	$(SPHINXBUILD) -b coverage $(ALLSPHINXOPTS) $(BUILDDIR)/coverage
	@echo "Testing of coverage in the sources finished, look at the " \
	      "results in $(BUILDDIR)/coverage/python.txt."

.PHONY: xml
xml:
	$(SPHINXBUILD) -b xml $(ALLSPHINXOPTS) $(BUILDDIR)/xml
	@echo
	@echo "Build finished. The XML files are in $(BUILDDIR)/xml."

.PHONY: pseudoxml
pseudoxml:
	$(SPHINXBUILD) -b pseudoxml $(ALLSPHINXOPTS) $(BUILDDIR)/pseudoxml
	@echo
	@echo "Build finished. The pseudo-XML files are in $(BUILDDIR)/pseudoxml."

.PHONY: dummy
dummy:
	$(SPHINXBUILD) -b dummy $(ALLSPHINXOPTS) $(BUILDDIR)/dummy
	@echo
	@echo "Build finished. Dummy builder generates no files."

=== debian/changelog ===
python-xarray (0.16.2-2) unstable; urgency=medium

  * Drop numba-doc  dependency to enable migration. Closes: #979064
  * Standards-Version: 4.5.1

 -- Alastair McKinstry <mckinstry@debian.org>  Sat, 02 Jan 2021 13:06:33 +0000

python-xarray (0.16.2-1) unstable; urgency=medium

  * New upstream release
  * Build-depend on python-scipy-doc, python-dask-doc, numba-doc
  * Update patch to use these packaged docs
  * d/rules: patch sphinx output to remove require.js privacy breach

 -- Alastair McKinstry <mckinstry@debian.org>  Tue, 01 Dec 2020 15:00:35 +0000

python-xarray (0.16.1-1) unstable; urgency=medium

  * New upstream release
  * Patches:
    - drop merged crs-wkt.patch
    - no-sphinx-accessors.patch added

 -- Alastair McKinstry <mckinstry@debian.org>  Tue, 22 Sep 2020 17:08:46 +0100

=== debian/control ===
--- 
+++ 
@@ -11,6 +11,8 @@
                python3-pip,
                python-numpy-doc <!nodoc>,
                python-pandas-doc <!nodoc>,
+               python-scipy-doc <!nodoc>,
+	       python-dask-doc <!nodoc>,
                python3-all,
 	       python3-cfgrib,
 	       python3-h5netcdf <!nocheck>,
@@ -43,7 +45,7 @@
 		python3-jupyter-console, 
 		python3-jupyter-core, 
 		python3-jupyter-client
-Standards-Version: 4.5.0
+Standards-Version: 4.5.1
 Vcs-Browser: https://salsa.debian.org/science-team/python-xarray
 Vcs-Git: https://salsa.debian.org/science-team/python-xarray.git
 Homepage: http://xarray.pydata.org/

## python-xarray 0.17.0

=== debian/changelog ===
python-xarray (0.17.0-1ubuntu1) impish; urgency=medium

  [ Alastair McKinstry ]
  * Mark test test_pad_constant XFAIL on Arm64 as large constants 
    not transformed into NaN. Closes: #983758

 -- Graham Inggs <ginggs@ubuntu.com>  Tue, 31 Aug 2021 11:53:08 +0000

python-xarray (0.17.0-1) unstable; urgency=medium

  * New upstream release

 -- Alastair McKinstry <mckinstry@debian.org>  Sat, 27 Feb 2021 11:22:15 +0000

=== debian/control ===
--- 
+++ 
@@ -1,5 +1,6 @@
 Source: python-xarray
-Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
 Uploaders: Ghislain Antony Vaillant <ghisvail@gmail.com>,
  Alastair McKinstry <mckinstry@debian.org>
 Section: python

## python-xarray 0.21.1

=== requirements.txt ===
# This file is redundant with setup.cfg;
# it exists to let GitHub build the repository dependency graph
# https://help.github.com/en/github/visualizing-repository-data-with-graphs/listing-the-packages-that-a-repository-depends-on

numpy >= 1.18
packaging >= 20.0
pandas >= 1.1

=== debian/changelog ===
python-xarray (0.21.1-1) unstable; urgency=medium

  * New upstream release
  * Depend on python3-packaging	
	
 -- Alastair McKinstry <mckinstry@debian.org>  Wed, 02 Feb 2022 10:23:43 +0000

python-xarray (0.21.0-1) unstable; urgency=medium

  * New upstream release
  * Re-enable docs

 -- Alastair McKinstry <mckinstry@debian.org>  Tue, 01 Feb 2022 11:07:55 +0000

python-xarray (0.20.2-1) unstable; urgency=medium

  * New upstream release
  * Temporarily disable docs while nbsphinx bug is worked on.

 -- Alastair McKinstry <mckinstry@debian.org>  Tue, 14 Dec 2021 15:02:03 +0000

python-xarray (0.20.1-1) unstable; urgency=medium

  * New upstream release

 -- Alastair McKinstry <mckinstry@debian.org>  Sat, 27 Nov 2021 09:38:05 +0000

python-xarray (0.19.0-6) unstable; urgency=medium

  * Depend on python3-jinja2. Closes: #993694

 -- Alastair McKinstry <mckinstry@debian.org>  Mon, 06 Sep 2021 12:21:39 +0100

python-xarray (0.19.0-5) unstable; urgency=medium

  * Fix patch: test_pad_constant also fails on i386. Closes: #983758

 -- Alastair McKinstry <mckinstry@debian.org>  Wed, 01 Sep 2021 10:33:23 +0100

python-xarray (0.19.0-4) unstable; urgency=medium

  * Mark another test xfail because it tries to download data.

 -- Alastair McKinstry <mckinstry@debian.org>  Fri, 27 Aug 2021 13:45:54 +0100

python-xarray (0.19.0-3) unstable; urgency=medium

  * Move to debhelper level 13
  * Standards-Version: 4.6.0
  * Fix typo on patch for pytest marking. test_tutorial.py
  * Mark test test_pad_constant XFAIL on Arm64 as large constants 
    not transformed into NaN. Closes: #983758
  * Mark test_push_dask() XFAIL with bottleneck < 1.3.0.

 -- Alastair McKinstry <mckinstry@debian.org>  Wed, 25 Aug 2021 20:49:54 +0100

python-xarray (0.19.0-2) unstable; urgency=medium

  * Push to unstable

 -- Alastair McKinstry <mckinstry@debian.org>  Tue, 17 Aug 2021 08:54:13 +0100

python-xarray (0.19.0-1) experimental; urgency=medium

  * New upstream release

 -- Alastair McKinstry <mckinstry@debian.org>  Mon, 09 Aug 2021 12:57:11 +0100

python-xarray (0.18.2-1) experimental; urgency=medium

  * New upstream release

 -- Alastair McKinstry <mckinstry@debian.org>  Sun, 23 May 2021 15:03:08 +0100

python-xarray (0.18.0-1) experimental; urgency=medium

  * New upstream release

 -- Alastair McKinstry <mckinstry@debian.org>  Mon, 10 May 2021 14:05:16 +0100

=== debian/control ===
--- 
+++ 
@@ -1,11 +1,10 @@
 Source: python-xarray
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
+Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
 Uploaders: Ghislain Antony Vaillant <ghisvail@gmail.com>,
  Alastair McKinstry <mckinstry@debian.org>
 Section: python
 Priority: optional
-Build-Depends: debhelper-compat (= 12),
+Build-Depends: debhelper-compat (= 13),
                dh-sequence-python3,
 	       dh-sequence-sphinxdoc,
                dpkg-dev (>= 1.17.14),
@@ -45,8 +44,9 @@
 	       ipython3,
 		python3-jupyter-console, 
 		python3-jupyter-core, 
-		python3-jupyter-client
-Standards-Version: 4.5.1
+		python3-jupyter-client,
+		python3-packaging
+Standards-Version: 4.6.0
 Vcs-Browser: https://salsa.debian.org/science-team/python-xarray
 Vcs-Git: https://salsa.debian.org/science-team/python-xarray.git
 Homepage: http://xarray.pydata.org/
@@ -56,7 +56,9 @@
 Depends: ${misc:Depends},
          ${python3:Depends},
          python3-numpy,
-         python3-pandas
+         python3-pandas,
+         python3-jinja2,
+         python3-packaging
 Recommends: python3-bottleneck,
             python3-dask,
             python3-netcdf4,

=== debian/rules ===
--- 
+++ 
@@ -38,3 +38,9 @@
 
 override_dh_sphinxdoc:
 	dh_sphinxdoc --exclude=MathJax.js
+	find debian/python-xarray-doc -name '*.html' \
+	 -exec grep require.js {} /dev/null \; | cut -f1 -d: | while read r; do \
+	sed -e 's%https://cdnjs.cloudflare.com/ajax/libs/require.js/2.3.4% file:/usr/share/javascript/requirejs%' \
+	< $$r > debian/tmp/x ; \
+	mv debian/tmp/x $$r ; \
+	done

=== debian/tests/control ===
Test-Command: set -e
 ; for py in $(py3versions -r 2>/dev/null)
 ; do cd "$AUTOPKGTEST_TMP"
 ; echo "Testing with $py:"
 ; $py -m pytest -v --pyargs xarray
 ; done
Depends: python3-all,
         python3-pytest (>= 2.7.1),
         python3-xarray,
	 python3-bottleneck,
         python3-dask (>= 2.8.1+dfsg),
         python3-netcdf4,
         python3-scipy,
         python3-matplotlib

## python-xarray 2022.06.0

=== debian/changelog ===
python-xarray (2022.06.0-6) unstable; urgency=medium

  * Patch for cftime test failure on s390x. Closes: #1004870

 -- Alastair McKinstry <mckinstry@debian.org>  Tue, 06 Sep 2022 13:29:36 +0100

python-xarray (2022.06.0-5) unstable; urgency=medium

  * Drop unnecessaey versioned-deps on scipy to allow transition

 -- Alastair McKinstry <mckinstry@debian.org>  Mon, 29 Aug 2022 15:56:15 +0100

python-xarray (2022.06.0-4) unstable; urgency=medium

  * Ack closed bug. Closes: #955015
  * Ignore (xfail) on test that fails depending on random seed.
    Closes: #1013939

 -- Alastair McKinstry <mckinstry@debian.org>  Tue, 23 Aug 2022 15:10:22 +0100

python-xarray (2022.06.0-3) unstable; urgency=medium

  * Depend on scipy >= 1.8.1-8 for fixes. Closes: #1004869, #1013939

 -- Alastair McKinstry <mckinstry@debian.org>  Fri, 12 Aug 2022 12:10:45 +0100

python-xarray (2022.06.0-2) unstable; urgency=medium

  * Update  no-installer.patch to avoid accidentally claiming we're
   still at 0.16.1; this was breaking cfgrib
  * Temporarily drop zarr support as it segfaults tests
  * Temporarily drop rasterio support as python3-rasterio can't find
    proj.db in tests
  * Drop bottleneck patch; 1.3.2 now in Debian
  * Bug fixed in recent upload: Closes: #1013939

 -- Alastair McKinstry <mckinstry@debian.org>  Wed, 10 Aug 2022 17:51:26 +0100

python-xarray (2022.06.0-1) unstable; urgency=medium

  * New upstream release

 -- Alastair McKinstry <mckinstry@debian.org>  Sun, 24 Jul 2022 10:23:20 +0100

python-xarray (2022.06.0~rc1-1) unstable; urgency=medium

  * New upstream release
  * Standards-Version: 4.6.1

 -- Alastair McKinstry <mckinstry@debian.org>  Fri, 10 Jun 2022 10:42:45 +0100

python-xarray (2022.03.0-2) unstable; urgency=medium

  * Add python3-ipython-genutils to build-deps. Closes: #1007880

 -- Alastair McKinstry <mckinstry@debian.org>  Fri, 18 Mar 2022 11:13:42 +0000

python-xarray (2022.03.0-1) unstable; urgency=medium

  * New upstream release

 -- Alastair McKinstry <mckinstry@debian.org>  Mon, 07 Mar 2022 17:07:05 +0000

=== debian/control ===
--- 
+++ 
@@ -16,7 +16,6 @@
                python3-all,
 	       python3-cfgrib,
 	       python3-h5netcdf <!nocheck>,
-	       python3-zarr <!nocheck>,
 	       python3-toolz,
 	       python3-cloudpickle,
 	       python3-flake8,
@@ -31,7 +30,6 @@
                python3-numpydoc <!nocheck> <!nodoc>,
                python3-pandas (>= 0.15.0) <!nocheck> <!nodoc>,
                python3-pytest (>= 2.7.1) <!nocheck>,
-               python3-rasterio <!nocheck> <!nodoc>,
                python3-setuptools,
                python3-scipy <!nocheck> <!nodoc>,
                python3-seaborn <!nocheck> <!nodoc>,
@@ -42,11 +40,12 @@
                sphinx-common,
 	       pandoc,
 	       ipython3,
+               python3-ipython-genutils,
 		python3-jupyter-console, 
 		python3-jupyter-core, 
 		python3-jupyter-client,
 		python3-packaging
-Standards-Version: 4.6.0
+Standards-Version: 4.6.1
 Vcs-Browser: https://salsa.debian.org/science-team/python-xarray
 Vcs-Git: https://salsa.debian.org/science-team/python-xarray.git
 Homepage: http://xarray.pydata.org/

## python-xarray 2022.12.0

=== debian/changelog ===
python-xarray (2022.12.0-1) unstable; urgency=medium

  * New upstream release
  * Drop (test) dep on python3-sparse for ths release, its blocked
    from testing by numba issue

 -- Alastair McKinstry <mckinstry@debian.org>  Sat, 03 Dec 2022 07:28:13 +0000

python-xarray (2022.11.0-2) unstable; urgency=medium

  * Ack bogs fixed in this and previous releases:
    Closes: #1022255, #1004869, #1023222

 -- Alastair McKinstry <mckinstry@debian.org>  Mon, 21 Nov 2022 14:37:38 +0000

python-xarray (2022.11.0-1) unstable; urgency=medium

  * New upstream release
  * Update d/copyright for removed files

 -- Alastair McKinstry <mckinstry@debian.org>  Mon, 07 Nov 2022 08:00:51 +0000

python-xarray (2022.10.0-1) unstable; urgency=medium

  * New upstream release

 -- Alastair McKinstry <mckinstry@debian.org>  Sun, 16 Oct 2022 13:03:57 +0100

python-xarray (2022.09.0-1) unstable; urgency=medium

  * New upstream release
  * Drop unused/merged patches:
    - cftime-fix.patch
    - test_indexes-big-endian.patch
    - no-sphinx-panels.patch
    - sparse.patch 
  * Now recommend python3-cftime,python3-sparse,python3-rasterio

 -- Alastair McKinstry <mckinstry@debian.org>  Mon, 03 Oct 2022 12:24:02 +0100

python-xarray (2022.06.0-7) unstable; urgency=medium

  * Patch test_indexes-big-endian.patch from Graham Inggs. Closes: #1018758

 -- Alastair McKinstry <mckinstry@debian.org>  Thu, 15 Sep 2022 09:31:49 +0100

=== debian/control ===
--- 
+++ 
@@ -60,14 +60,16 @@
          python3-packaging
 Recommends: python3-bottleneck,
             python3-dask,
+	    python3-cftime,
+            python3-sparse,
             python3-netcdf4,
+            python3-rasterio,
 	    python3-h5netcdf,
 	    python3-zarr
 Suggests: python-xarray-doc <!nodoc>,
           python3-cartopy,
           python3-matplotlib,
           python3-pydap,
-          python3-rasterio,
           python3-scipy,
           python3-seaborn,
           python3-toolz

## python-xarray 2023.01.0

=== requirements.txt ===
# This file is redundant with setup.cfg;
# it exists to let GitHub build the repository dependency graph
# https://help.github.com/en/github/visualizing-repository-data-with-graphs/listing-the-packages-that-a-repository-depends-on

numpy >= 1.20
packaging >= 21.3
pandas >= 1.3

=== debian/changelog ===
python-xarray (2023.01.0-1.1) unstable; urgency=medium

  * Non-maintainer upload.

  [ Jochen Sprickerhof ]
  * Add patch to fix FTBFS on i386.
    Thanks to Adrian Bunk (Closes: 1004869)
  * Use execute_after_ in d/rules
  * Set R³ in d/control

 -- Peter Michael Green <plugwash@debian.org>  Sun, 19 Feb 2023 00:50:57 +0000

python-xarray (2023.01.0-1) unstable; urgency=medium

  * Mew upstream release
  * Drop B-D python-numpy-doc to fix FTBFS. Closes: #1028811

 -- Alastair McKinstry <mckinstry@debian.org>  Sun, 22 Jan 2023 11:21:51 +0000

=== debian/control ===
--- 
+++ 
@@ -9,7 +9,6 @@
 	       dh-sequence-sphinxdoc,
                dpkg-dev (>= 1.17.14),
                python3-pip,
-               python-numpy-doc <!nodoc>,
                python-pandas-doc <!nodoc>,
                python-scipy-doc <!nodoc>,
 	       python-dask-doc <!nodoc>,
@@ -49,6 +48,7 @@
 Vcs-Browser: https://salsa.debian.org/science-team/python-xarray
 Vcs-Git: https://salsa.debian.org/science-team/python-xarray.git
 Homepage: http://xarray.pydata.org/
+Rules-Requires-Root: no
 
 Package: python3-xarray
 Architecture: all

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1

export PYBUILD_NAME=xarray
export http_proxy=127.0.0.1:9 https_proxy=127.0.0.1:9

# Disable checking for this release:
DEB_BUILD_OPTIONS += nocheck

%:
	dh $@  --buildsystem=pybuild

execute_after_dh_auto_clean:
ifeq (,$(findstring nodoc,$(DEB_BUILD_PROFILES)))
	$(MAKE) -C doc clean
endif

execute_after_dh_auto_install: $(PYTHON3:%=install-python%)
	find debian/python3-xarray -name '*.idx' -exec chmod -x {} \;

execute_after_dh_auto_build:
ifeq (,$(findstring nodoc,$(DEB_BUILD_PROFILES)))
	PYTHONPATH=$(CURDIR) $(MAKE) -C doc html
endif

override_dh_sphinxdoc:
	dh_sphinxdoc --exclude=MathJax.js
	find debian/python-xarray-doc -name '*.html' \
	 -exec grep require.js {} /dev/null \; | cut -f1 -d: | while read r; do \
	sed -e 's%https://cdnjs.cloudflare.com/ajax/libs/require.js/2.3.4% file:/usr/share/javascript/requirejs%' \
	< $$r > debian/tmp/x ; \
	mv debian/tmp/x $$r ; \
	done

=== debian/tests/control ===
--- 
+++ 
@@ -11,5 +11,8 @@
          python3-dask (>= 2.8.1+dfsg),
          python3-netcdf4,
          python3-scipy,
-         python3-matplotlib
+         python3-matplotlib,
+	 python3-cftime,
+         python3-rasterio
+

## python-xarray 2023.04.2

=== requirements.txt ===
# This file is redundant with setup.cfg;
# it exists to let GitHub build the repository dependency graph
# https://help.github.com/en/github/visualizing-repository-data-with-graphs/listing-the-packages-that-a-repository-depends-on

numpy >= 1.21
packaging >= 21.3
pandas >= 1.4, <2

=== debian/changelog ===
python-xarray (2023.04.2-1) experimental; urgency=medium

  * New upstream release

 -- Alastair McKinstry <mckinstry@debian.org>  Fri, 28 Apr 2023 11:33:44 +0100

python-xarray (2023.03.0-1) experimental; urgency=medium

  * New upstream release
  * Standards-Version: 4.6.2

 -- Alastair McKinstry <mckinstry@debian.org>  Wed, 29 Mar 2023 17:40:27 +0100

python-xarray (2023.02.0-1) experimental; urgency=medium

  [ Alastair McKinstry ]
  * New upstream release

  [ Debian Janitor ]
  * Remove constraints unnecessary since buster (oldstable):
  * Build-Depends: Drop versioned constraint on dpkg-dev, python3-dask,
      python3-pandas and python3-pytest.

 -- Alastair McKinstry <mckinstry@debian.org>  Fri, 10 Mar 2023 09:40:48 +0000

=== debian/control ===
--- 
+++ 
@@ -7,7 +7,6 @@
 Build-Depends: debhelper-compat (= 13),
                dh-sequence-python3,
 	       dh-sequence-sphinxdoc,
-               dpkg-dev (>= 1.17.14),
                python3-pip,
                python-pandas-doc <!nodoc>,
                python-scipy-doc <!nodoc>,
@@ -21,14 +20,14 @@
                python3-doc <!nodoc>,
                python3-bottleneck <!nocheck>,
                python3-cartopy <!nodoc>,
-               python3-dask (>= 0.17.3) <!nocheck> <!nodoc>,
+               python3-dask <!nocheck> <!nodoc>,
                python3-ipython <!nodoc>,
                python3-matplotlib <!nocheck> <!nodoc>,
                python3-netcdf4 <!nocheck> <!nodoc>,
                python3-numpy <!nocheck> <!nodoc>,
                python3-numpydoc <!nocheck> <!nodoc>,
-               python3-pandas (>= 0.15.0) <!nocheck> <!nodoc>,
-               python3-pytest (>= 2.7.1) <!nocheck>,
+               python3-pandas <!nocheck> <!nodoc>,
+               python3-pytest <!nocheck>,
                python3-setuptools,
                python3-scipy <!nocheck> <!nodoc>,
                python3-seaborn <!nocheck> <!nodoc>,
@@ -44,11 +43,10 @@
 		python3-jupyter-core, 
 		python3-jupyter-client,
 		python3-packaging
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/science-team/python-xarray
 Vcs-Git: https://salsa.debian.org/science-team/python-xarray.git
 Homepage: http://xarray.pydata.org/
-Rules-Requires-Root: no
 
 Package: python3-xarray
 Architecture: all

=== debian/rules ===
--- 
+++ 
@@ -4,25 +4,38 @@
 export DH_VERBOSE=1
 
 export PYBUILD_NAME=xarray
-export http_proxy=127.0.0.1:9 https_proxy=127.0.0.1:9
+PY3VERS:= $(shell py3versions -s)
 
 # Disable checking for this release:
 DEB_BUILD_OPTIONS += nocheck
 
+export PYDEVD_DISABLE_FILE_VALIDATION=1
+
 %:
 	dh $@  --buildsystem=pybuild
 
-execute_after_dh_auto_clean:
+override_dh_auto_clean:
+	dh_auto_clean
 ifeq (,$(findstring nodoc,$(DEB_BUILD_PROFILES)))
 	$(MAKE) -C doc clean
 endif
 
-execute_after_dh_auto_install: $(PYTHON3:%=install-python%)
+override_dh_auto_install: $(PYTHON3:%=install-python%)
+	dh_auto_install
 	find debian/python3-xarray -name '*.idx' -exec chmod -x {} \;
 
-execute_after_dh_auto_build:
+override_dh_auto_build:
+	http_proxy=127.0.0.1:9 https_proxy=127.0.0.1:9 dh_auto_build
 ifeq (,$(findstring nodoc,$(DEB_BUILD_PROFILES)))
 	PYTHONPATH=$(CURDIR) $(MAKE) -C doc html
+endif
+
+override_dh_auto_test:
+ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
+	for p in $(PY3VERS); do \
+		PY3VERNUM=`echo $$p | sed -e 's/python//' `; \
+		pybuild --test --test-pytest -i $$p -p $$PY3VERNUM  ;  \
+		done
 endif
 
 override_dh_sphinxdoc:

## python-xarray 2023.05.0

=== debian/changelog ===
python-xarray (2023.05.0-2) unstable; urgency=medium

  * Push to unstable

 -- Alastair McKinstry <mckinstry@debian.org>  Sun, 11 Jun 2023 07:54:41 +0100

python-xarray (2023.05.0-1) experimental; urgency=medium

  * New upstream release

 -- Alastair McKinstry <mckinstry@debian.org>  Tue, 23 May 2023 12:19:36 +0100

## python-xarray 2023.06.0

=== debian/changelog ===
python-xarray (2023.06.0-1) unstable; urgency=medium

  * New upstream release
  * Build-dep on python3-pooch

 -- Alastair McKinstry <mckinstry@debian.org>  Tue, 27 Jun 2023 14:47:04 +0100

=== debian/control ===
--- 
+++ 
@@ -13,6 +13,7 @@
 	       python-dask-doc <!nodoc>,
                python3-all,
 	       python3-cfgrib,
+               python3-pooch,
 	       python3-h5netcdf <!nocheck>,
 	       python3-toolz,
 	       python3-cloudpickle,

## python-xarray 2023.08.0

=== requirements.txt ===
--- 
+++ 
@@ -4,4 +4,4 @@
 
 numpy >= 1.21
 packaging >= 21.3
-pandas >= 1.4, <2
+pandas >= 1.4

=== debian/changelog ===
python-xarray (2023.08.0-1ubuntu5) mantic; urgency=medium

  * Switch back to old tests.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 07 Sep 2023 10:57:42 +0200

python-xarray (2023.08.0-1ubuntu4) mantic; urgency=medium

  * Update test to avoid old tzdata-legacy package

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 07 Sep 2023 03:32:07 +0200

python-xarray (2023.08.0-1ubuntu3) mantic; urgency=medium

  * Cherry-pick diff from #1050854.
  * Don't override dh_auto_test.
  * Use autopkgtest-pkg-pybuild testsuite.
  * Skip test_open_mfdataset_manyfiles, causes FTBFS.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 06 Sep 2023 17:03:24 +0200

python-xarray (2023.08.0-1ubuntu1) mantic; urgency=medium

  * debian/patches/8094.patch:
    - fix regression in sarsen with upstream patch (Closes: #1050832)

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 06 Sep 2023 16:59:34 +0200

python-xarray (2023.08.0-1) unstable; urgency=medium

  * New upstream release
  * Disable docs this build.
    Closes: #10398871
  * Build-Dep on numba-doc, python3-pooch, python3-sparse
  * Set env variable for pooch  cache dir Closes: #1039871
  * Undo xfail-on-random.patch, upstream bug closed

 -- Alastair McKinstry <mckinstry@debian.org>  Mon, 28 Aug 2023 16:28:23 +0100

=== debian/control ===
--- 
+++ 
@@ -8,15 +8,17 @@
                dh-sequence-python3,
 	       dh-sequence-sphinxdoc,
                python3-pip,
+               python3-pooch,
+               numba-doc <!nodoc>,
                python-pandas-doc <!nodoc>,
                python-scipy-doc <!nodoc>,
 	       python-dask-doc <!nodoc>,
                python3-all,
 	       python3-cfgrib,
-               python3-pooch,
 	       python3-h5netcdf <!nocheck>,
 	       python3-toolz,
 	       python3-cloudpickle,
+               python3-sparse,
 	       python3-flake8,
                python3-doc <!nodoc>,
                python3-bottleneck <!nocheck>,

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1

export PYBUILD_NAME=xarray
export PYBUILD_TEST_ARGS=-vv -k 'not test_open_mfdataset_manyfiles'

# Disable docs for this release:
DEB_BUILD_OPTIONS += nodoc

export PYDEVD_DISABLE_FILE_VALIDATION=1

# Needed for pooch temp data directory
export env=/tmp/pooch

%:
	dh $@  --buildsystem=pybuild

override_dh_auto_clean:
	dh_auto_clean
ifeq (,$(filter nodoc,$(DEB_BUILD_OPTIONS)))
	$(MAKE) -C doc clean
endif

override_dh_auto_install: $(PYTHON3:%=install-python%)
	dh_auto_install
	find debian/python3-xarray -name '*.idx' -exec chmod -x {} \;

override_dh_auto_build:
	http_proxy=127.0.0.1:9 https_proxy=127.0.0.1:9 dh_auto_build
ifeq (,$(filter nodoc,$(DEB_BUILD_OPTIONS)))
	PYTHONPATH=$(CURDIR) $(MAKE) -C doc html
endif

ifeq (,$(filter nodoc,$(DEB_BUILD_OPTIONS)))
override_dh_sphinxdoc:
	dh_sphinxdoc --exclude=MathJax.js
	find debian/python-xarray-doc -name '*.html' \
	 -exec grep require.js {} /dev/null \; | cut -f1 -d: | while read r; do \
	sed -e 's%https://cdnjs.cloudflare.com/ajax/libs/require.js/2.3.4% file:/usr/share/javascript/requirejs%' \
	< $$r > debian/tmp/x ; \
	mv debian/tmp/x $$r ; \
	done
endif

=== debian/tests/control ===
--- 
+++ 
@@ -7,12 +7,10 @@
 Depends: python3-all,
          python3-pytest (>= 2.7.1),
          python3-xarray,
-	 python3-bottleneck,
+         python3-bottleneck,
          python3-dask (>= 2.8.1+dfsg),
          python3-netcdf4,
          python3-scipy,
          python3-matplotlib,
-	 python3-cftime,
+         python3-cftime,
          python3-rasterio
-
-
